Index: update.mac
===================================================================
--- update.mac	(revision 0)
+++ update.mac	(revision 0)
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+echo Creating output directory tree
+
+mkdir -p output/share/codeblocks/lexers
+mkdir -p output/share/codeblocks/images/settings
+mkdir -p output/share/codeblocks/images/codecompletion
+mkdir -p output/share/codeblocks/images/16x16
+mkdir -p output/share/codeblocks/plugins
+mkdir -p output/share/codeblocks/templates
+mkdir -p output/share/codeblocks/templates/wizard
+mkdir -p output/share/codeblocks/scripts
+mkdir -p devel/share/codeblocks/lexers
+mkdir -p devel/share/codeblocks/images/settings
+mkdir -p devel/share/codeblocks/images/codecompletion
+mkdir -p devel/share/codeblocks/images/16x16
+mkdir -p devel/share/codeblocks/plugins
+mkdir -p devel/share/codeblocks/templates
+mkdir -p devel/share/codeblocks/templates/wizard
+mkdir -p devel/share/codeblocks/scripts
+
+ZIPCMD="zip"
+RESDIR="devel/share/codeblocks"
+echo Compressing core UI resources
+${ZIPCMD} -j9 ${RESDIR}/resources.zip src/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/manager_resources.zip sdk/resources/*.xrc sdk/resources/images/*.png > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/start_here.zip src/resources/start_here/* > /dev/null
+echo Compressing plugins UI resources
+${ZIPCMD} -j9 ${RESDIR}/astyle.zip plugins/astyle/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/plugin_wizard.zip plugins/pluginwizard/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/class_wizard.zip plugins/classwizard/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/code_completion.zip plugins/codecompletion/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/compiler_gcc.zip plugins/compilergcc/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/defaultmimehandler.zip plugins/defaultmimehandler/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/debugger_gdb.zip plugins/debuggergdb/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/todo.zip plugins/todo/resources/*.xrc > /dev/null
+${ZIPCMD} -j9 ${RESDIR}/autosave.zip plugins/autosave/*.xrc > /dev/null
+echo Packing core UI bitmaps
+cd src/resources
+${ZIPCMD} -0 ../../${RESDIR}/resources.zip images/*.png images/16x16/*.png > /dev/null
+#cd ../../sdk/resources
+#${ZIPCMD} -0 ../../${RESDIR}/manager_resources.zip images/*.png > /dev/null
+echo Packing plugins UI bitmaps
+cd ../../plugins/compilergcc/resources
+${ZIPCMD} -0 ../../../${RESDIR}/compiler_gcc.zip images/*.png images/16x16/*.png > /dev/null
+cd ../../../plugins/debuggergdb/resources
+${ZIPCMD} -0 ../../../${RESDIR}/debugger_gdb.zip images/*.png images/16x16/*.png > /dev/null
+cd ../../..
+
+echo Copying files
+cp -f ${RESDIR}/*.zip output/share/codeblocks > /dev/null
+cp -f sdk/resources/lexers/lexer_* ${RESDIR}/lexers > /dev/null
+cp -f sdk/resources/lexers/lexer_* output/share/codeblocks/lexers > /dev/null
+cp -f src/resources/images/*.png ${RESDIR}/images > /dev/null
+cp -f src/resources/images/settings/*.png ${RESDIR}/images/settings > /dev/null
+cp -f src/resources/images/*.png output/share/codeblocks/images > /dev/null
+cp -f src/resources/images/settings/*.png output/share/codeblocks/images/settings > /dev/null
+cp -f src/resources/images/16x16/*.png ${RESDIR}/images/16x16 > /dev/null
+cp -f src/resources/images/16x16/*.png output/share/codeblocks/images/16x16 > /dev/null
+cp -f plugins/codecompletion/resources/images/*.png ${RESDIR}/images/codecompletion > /dev/null
+cp -f plugins/codecompletion/resources/images/*.png output/share/codeblocks/images/codecompletion > /dev/null
+cp -rf plugins/projectwizard/resources/* ${RESDIR}/templates/wizard > /dev/null
+cp -rf plugins/projectwizard/resources/* output/share/codeblocks/templates/wizard > /dev/null
+cp -f templates/common/* output/share/codeblocks/templates > /dev/null
+cp -f templates/unix/* output/share/codeblocks/templates > /dev/null
+cp -f templates/common/* ${RESDIR}/templates > /dev/null
+cp -f templates/unix/* ${RESDIR}/templates > /dev/null
+cp -f scripts/*.script ${RESDIR}/scripts > /dev/null
+cp -f scripts/*.script output/share/codeblocks/scripts > /dev/null
+cp -f tips.txt devel/share/codeblocks > /dev/null
+cp -f tips.txt output/share/codeblocks > /dev/null
+cp -f tools/ConsoleRunner/console_runner output > /dev/null
+cp -f tools/ConsoleRunner/console_runner devel > /dev/null
+cp -f devel/codeblocks output > /dev/null
+cp -f devel/*.so output > /dev/null
+cp -f ${RESDIR}/plugins/*.so output/share/codeblocks/plugins > /dev/null
+cp -f devel/*.dylib output > /dev/null
+cp -f ${RESDIR}/plugins/*.dylib output/share/codeblocks/plugins > /dev/null
+echo Stripping debug info from output tree
+strip -S output/codeblocks
+strip -S output/*.so
+strip -S output/*.dylib
+strip -S output/share/codeblocks/plugins/*.so
+strip -S output/share/codeblocks/plugins/*.dylib
+
+echo Creating launch-scripts
+echo -e "#!/bin/sh\n" > output/run.sh
+echo -n "APP_DIR=" >> output/run.sh
+echo `pwd`/output >> output/run.sh
+echo "export LD_LIBRARY_PATH=\$APP_DIR:\$LD_LIBRARY_PATH" >> output/run.sh
+echo "export DYLD_LIBRARY_PATH=\$APP_DIR:\$LD_LIBRARY_PATH" >> output/run.sh
+echo "exec \$APP_DIR/codeblocks --prefix=\"\$APP_DIR\"" >> output/run.sh
+chmod +x output/run.sh
+echo -e "#!/bin/sh\n" > devel/run.sh
+echo -n "APP_DIR=" >> devel/run.sh
+echo `pwd`/devel >> devel/run.sh
+echo "export LD_LIBRARY_PATH=\$APP_DIR:\$LD_LIBRARY_PATH" >> devel/run.sh
+echo "export DYLD_LIBRARY_PATH=\$APP_DIR:\$LD_LIBRARY_PATH" >> devel/run.sh
+echo "exec \$APP_DIR/codeblocks --prefix=\"\$APP_DIR\"" >> devel/run.sh
+chmod +x devel/run.sh
+
+ZIPCMD=
+RESDIR=

Property changes on: update.mac
___________________________________________________________________
Name: svn:executable
   + *

Index: sdk/scriptingmanager.cpp
===================================================================
--- sdk/scriptingmanager.cpp	(revision 2469)
+++ sdk/scriptingmanager.cpp	(working copy)
@@ -98,7 +98,7 @@
     // scripting is not supported for 64bit processors yet...
     return 1;
 #endif
-
+asm("trap");
     int ret = m_pEngine->Build(cbU2C(module));
     if (ret < 0)
     {
@@ -121,7 +121,7 @@
                         wxICON_ERROR);
 //            if (cbMessageBox(_T("An exception has been raised from the script:\n\n") +
 //                            exec.CreateErrorString(),// +
-//                            _T("\n\nDo you want to open this script in the editor?"), 
+//                            _T("\n\nDo you want to open this script in the editor?"),
 //                _T("Script error"),
 //                wxICON_ERROR | wxYES_NO) == wxID_YES)
 //            {
@@ -177,17 +177,18 @@
 	if (r < 0)
 	    cbMessageBox(wxString::Format(_("Error returned from scripting AddScriptSection().\n"
                                         "Error code: %d (%s)\n\n"
-                                        "Details:\n%s"), 
-                                        r, GetErrorDescription(r).c_str(), 
-                                        s_Errors.c_str()), 
+                                        "Details:\n%s"),
+                                        r, GetErrorDescription(r).c_str(),
+                                        s_Errors.c_str()),
                     _("Scripting error"), wxICON_ERROR);
-	
+
 	return r == 0;
 }
 
 int ScriptingManager::LoadAndRunScript(const wxString& filename, const wxString& module, bool autorunMain)
 {
-    if (!LoadScript(filename, module))
+asm("trap");
+   if (!LoadScript(filename, module))
         return -1;
     return Compile(module, autorunMain);
 }
Index: sdk/propgrid/src/propgrid/propgrid.cpp
===================================================================
--- sdk/propgrid/src/propgrid/propgrid.cpp	(revision 2469)
+++ sdk/propgrid/src/propgrid/propgrid.cpp	(working copy)
@@ -5891,6 +5891,8 @@
 
         Refresh();
     }
+
+        return res;
 #else
     // ** wxMAC Only **
     // TODO: Remove after SetFont crash fixed.
@@ -5900,8 +5902,6 @@
     }
     return false;
 #endif
-
-    return res;
 }
 
 // -----------------------------------------------------------------------
Index: sdk/as/source/as_gcobject.cpp
===================================================================
--- sdk/as/source/as_gcobject.cpp	(revision 2469)
+++ sdk/as/source/as_gcobject.cpp	(working copy)
@@ -2,23 +2,23 @@
    AngelCode Scripting Library
    Copyright (c) 2003-2006 Andreas Jönsson
 
-   This software is provided 'as-is', without any express or implied 
-   warranty. In no event will the authors be held liable for any 
+   This software is provided 'as-is', without any express or implied
+   warranty. In no event will the authors be held liable for any
    damages arising from the use of this software.
 
-   Permission is granted to anyone to use this software for any 
-   purpose, including commercial applications, and to alter it and 
+   Permission is granted to anyone to use this software for any
+   purpose, including commercial applications, and to alter it and
    redistribute it freely, subject to the following restrictions:
 
-   1. The origin of this software must not be misrepresented; you 
+   1. The origin of this software must not be misrepresented; you
       must not claim that you wrote the original software. If you use
-      this software in a product, an acknowledgment in the product 
+      this software in a product, an acknowledgment in the product
       documentation would be appreciated but is not required.
 
-   2. Altered source versions must be plainly marked as such, and 
+   2. Altered source versions must be plainly marked as such, and
       must not be misrepresented as being the original software.
 
-   3. This notice may not be removed or altered from any source 
+   3. This notice may not be removed or altered from any source
       distribution.
 
    The original version of this library can be located at:
@@ -35,10 +35,10 @@
 #include <assert.h>
 #include <new>
 
-#ifdef __FreeBSD__
+#ifdef HAVE_MALLOC_H
+    #include <malloc.h>
+#else
     #include <stdlib.h>
-#else
-    #include <malloc.h>
 #endif
 
 #include "as_config.h"
@@ -69,7 +69,7 @@
 	objType->refCount++;
 
 	if( objType->flags & asOBJ_POTENTIAL_CIRCLE )
-		objType->engine->AddScriptObjectToGC(CONV2GCCLASS(this));		
+		objType->engine->AddScriptObjectToGC(CONV2GCCLASS(this));
 }
 
 int asSGCObject::AddRef()
Index: sdk/as/source/as_scriptengine.cpp
===================================================================
--- sdk/as/source/as_scriptengine.cpp	(revision 2469)
+++ sdk/as/source/as_scriptengine.cpp	(working copy)
@@ -40,10 +40,10 @@
 #include "config.h"
 #endif
 
-#ifdef __FreeBSD__
+#ifdef HAVE_MALLOC_H
+    #include <malloc.h>
+#else
     #include <stdlib.h>
-#else
-    #include <malloc.h>
 #endif
 
 #include "as_config.h"
Index: sdk/as/source/as_arrayobject.cpp
===================================================================
--- sdk/as/source/as_arrayobject.cpp	(revision 2469)
+++ sdk/as/source/as_arrayobject.cpp	(working copy)
@@ -34,10 +34,10 @@
 #include <assert.h>
 #include <new>
 
-#ifdef __FreeBSD__
+#ifdef HAVE_MALLOC_H
+    #include <malloc.h>
+#else
     #include <stdlib.h>
-#else
-    #include <malloc.h>
 #endif
 
 
Index: sdk/as/source/as_config.h
===================================================================
--- sdk/as/source/as_config.h	(revision 2469)
+++ sdk/as/source/as_config.h	(working copy)
@@ -2,23 +2,23 @@
    AngelCode Scripting Library
    Copyright (c) 2003-2006 Andreas Jönsson
 
-   This software is provided 'as-is', without any express or implied 
-   warranty. In no event will the authors be held liable for any 
+   This software is provided 'as-is', without any express or implied
+   warranty. In no event will the authors be held liable for any
    damages arising from the use of this software.
 
-   Permission is granted to anyone to use this software for any 
-   purpose, including commercial applications, and to alter it and 
+   Permission is granted to anyone to use this software for any
+   purpose, including commercial applications, and to alter it and
    redistribute it freely, subject to the following restrictions:
 
-   1. The origin of this software must not be misrepresented; you 
+   1. The origin of this software must not be misrepresented; you
       must not claim that you wrote the original software. If you use
-      this software in a product, an acknowledgment in the product 
+      this software in a product, an acknowledgment in the product
       documentation would be appreciated but is not required.
 
-   2. Altered source versions must be plainly marked as such, and 
+   2. Altered source versions must be plainly marked as such, and
       must not be misrepresented as being the original software.
 
-   3. This notice may not be removed or altered from any source 
+   3. This notice may not be removed or altered from any source
       distribution.
 
    The original version of this library can be located at:
@@ -45,12 +45,12 @@
 //-----------------------------------------
 
 // USE_THREADS
-// Adds basic support for multithreading. 
+// Adds basic support for multithreading.
 // This is currently only supported on Win32 platforms.
 
 // BUILD_WITHOUT_LINE_CUES
 // This flag makes the script compiler remove some extra bytecodes that is used
-// to allow the VM to call the line callback after each statement. The performance 
+// to allow the VM to call the line callback after each statement. The performance
 // is improved slightly but the scripts are only guaranteed to allow one suspension
 // per loop iteration, not one per statement.
 
@@ -59,7 +59,7 @@
 // compiling and executing scripts.
 
 // AS_DEPRECATED
-// If this flag is defined then some backwards compatibility is maintained. 
+// If this flag is defined then some backwards compatibility is maintained.
 // There is no guarantee for how well deprecated functionality will work though
 // so it is best to exchange it for the new functionality as soon as possible.
 
@@ -67,17 +67,17 @@
 // Make the C interface available.
 
 // AS_NO_CLASS_METHODS
-// Disables the possibility to add class methods. Can increase the  
+// Disables the possibility to add class methods. Can increase the
 // portability of the library.
 
 // AS_MAX_PORTABILITY
-// Disables all platform specific code. Only the asCALL_GENERIC calling 
+// Disables all platform specific code. Only the asCALL_GENERIC calling
 // convention will be available in with this flag set.
 
 // AS_ALLOW_UNSAFE_REFERENCES
-// When this flag is defined it is not required to define the in, out, or 
-// inout keywords for parameter references. The compiler will generate code 
-// that passes the true reference to functions. It is however possible to 
+// When this flag is defined it is not required to define the in, out, or
+// inout keywords for parameter references. The compiler will generate code
+// that passes the true reference to functions. It is however possible to
 // write scripts that could crash the application due to invalid references.
 
 
@@ -91,7 +91,7 @@
 // This flag should be defined when compiling the library as a lib or dll.
 
 // ANGELSCRIPT_DLL_LIBRARY_IMPORT
-// This flag should be defined when using AngelScript as a dll with automatic 
+// This flag should be defined when using AngelScript as a dll with automatic
 // library import.
 
 // ANGELSCRIPT_DLL_MANUAL_IMPORT
@@ -101,13 +101,13 @@
 
 
 
-// 
+//
 // Compiler differences
 //-----------------------------------------
 
-// vsnprintf() 
+// vsnprintf()
 // Some compilers use different names for this function. If your compiler
-// doesn't use the name vsnprintf() then you need to write a macro to translate 
+// doesn't use the name vsnprintf() then you need to write a macro to translate
 // the function into its real name.
 
 // ASM_AT_N_T or ASM_INTEL
@@ -151,10 +151,10 @@
 
 // AS_ALIGN
 // Some CPUs require that data words are aligned in some way. This macro
-// should be defined if the words should be aligned to boundaries of the same 
-// size as the word, i.e. 
-//  1 byte  on 1 byte boundaries 
-//  2 bytes on 2 byte boundaries 
+// should be defined if the words should be aligned to boundaries of the same
+// size as the word, i.e.
+//  1 byte  on 1 byte boundaries
+//  2 bytes on 2 byte boundaries
 //  4 bytes on 4 byte boundaries
 //  8 bytes on 4 byte boundaries (no it's not a typo)
 
@@ -178,8 +178,8 @@
 //-----------------------------------------
 
 // GNU_STYLE_VIRTUAL_METHOD
-// This constant should be defined if method pointers store index for virtual 
-// functions in the same location as the function pointer. In such cases the method 
+// This constant should be defined if method pointers store index for virtual
+// functions in the same location as the function pointer. In such cases the method
 // is identified as virtual if the least significant bit is set.
 
 // MULTI_BASE_OFFSET(x)
@@ -194,21 +194,21 @@
 
 // VIRTUAL_BASE_OFFSET(x)
 // This macro is used to retrieve the offset added to the object pointer in order to
-// find the virtual base object. x is the method pointer received by the register 
+// find the virtual base object. x is the method pointer received by the register
 // function;
 
 // COMPLEX_MASK
-// This constant shows what attributes determines if an object is returned in memory 
+// This constant shows what attributes determines if an object is returned in memory
 // or in the registers as normal structures
 
 // THISCALL_RETURN_SIMPLE_IN_MEMORY
 // CDECL_RETURN_SIMPLE_IN_MEMORY
 // STDCALL_RETURN_SIMPLE_IN_MEMORY
-// When these constants are defined then the corresponding calling convention always 
+// When these constants are defined then the corresponding calling convention always
 // return classes/structs in memory regardless of size or complexity.
 
 // CALLEE_POPS_HIDDEN_RETURN_POINTER
-// This constant should be defined if the callee pops the hidden return pointer, 
+// This constant should be defined if the callee pops the hidden return pointer,
 // used when returning an object in memory.
 
 // THISCALL_PASS_OBJECT_POINTER_ON_THE_STACK
@@ -218,13 +218,13 @@
 // If the callee pops arguments for class methods then define this constant
 
 // COMPLEX_OBJS_PASSED_BY_REF
-// Some compilers always pass certain objects by reference. GNUC for example does 
+// Some compilers always pass certain objects by reference. GNUC for example does
 // this if the the class has a defined destructor.
 
 
 
-// 
-// Configurations 
+//
+// Configurations
 //------------------------------------------------
 
 #define VALUE_OF_BOOLEAN_TRUE  1
@@ -304,13 +304,13 @@
 #endif
 
 // None of the above
-#if (!defined(AS_X86) && !defined(AS_SH4))
+#if (!defined(AS_X86) && !defined(AS_PPC) && !defined(AS_SH4))
     #ifndef AS_MAX_PORTABILITY
         #define AS_MAX_PORTABILITY
     #endif
 #endif
 
-// 
+//
 // Alignment macros
 //----------------------------------------------------------------
 
@@ -322,7 +322,7 @@
 
 #define	ARG_W(b) ((asWORD*)&b)
 #define	ARG_DW(b) ((asDWORD*)&b)
-#define	ARG_QW(b) ((asQWORD*)&b)	
+#define	ARG_QW(b) ((asQWORD*)&b)
 #define	BCARG_W(b) ((asWORD*)&(b)[1])
 #define	BCARG_DW(b) ((asDWORD*)&(b)[1])
 #define	BCARG_QW(b) ((asQWORD*)&(b)[1])
Index: sdk/as/source/as_callfunc_ppc.cpp
===================================================================
--- sdk/as/source/as_callfunc_ppc.cpp	(revision 0)
+++ sdk/as/source/as_callfunc_ppc.cpp	(revision 0)
@@ -0,0 +1,235 @@
+/*
+   AngelCode Scripting Library
+   Copyright (c) 2003-2006 Andreas Jönsson
+   Copyright (c) 2005-2006 Anders F Björklund
+
+   This software is provided 'as-is', without any express or implied
+   warranty. In no event will the authors be held liable for any
+   damages arising from the use of this software.
+
+   Permission is granted to anyone to use this software for any
+   purpose, including commercial applications, and to alter it and
+   redistribute it freely, subject to the following restrictions:
+
+   1. The origin of this software must not be misrepresented; you
+      must not claim that you wrote the original software. If you use
+      this software in a product, an acknowledgment in the product
+      documentation would be appreciated but is not required.
+
+   2. Altered source versions must be plainly marked as such, and
+      must not be misrepresented as being the original software.
+
+   3. This notice may not be removed or altered from any source
+      distribution.
+
+*/
+
+
+//
+// as_callfunc.cpp
+//
+// These functions handle the actual calling of system functions
+//
+
+
+
+#include "as_config.h"
+
+#ifndef AS_MAX_PORTABILITY
+#ifdef AS_PPC
+
+#include "as_callfunc.h"
+#include "as_scriptengine.h"
+#include "as_texts.h"
+#include "as_tokendef.h"
+
+BEGIN_AS_NAMESPACE
+
+int DetectCallingConvention(bool isMethod, const asUPtr &ptr, int callConv, asSSystemFunctionInterface *internal)
+{
+	memset(internal, 0, sizeof(asSSystemFunctionInterface));
+
+	internal->func = (asDWORD)ptr.f.func;
+
+	int base = callConv;
+	if( !isMethod )
+	{
+		if( base == asCALL_CDECL )
+			internal->callConv = ICC_CDECL;
+		else if( base == asCALL_STDCALL )
+			internal->callConv = ICC_STDCALL;
+		else if( base == asCALL_GENERIC )
+			internal->callConv = ICC_GENERIC_FUNC;
+		else
+			return asNOT_SUPPORTED;
+	}
+	else
+	{
+#ifndef AS_NO_CLASS_METHODS
+		if( base == asCALL_THISCALL )
+		{
+			internal->callConv = ICC_THISCALL;
+		}
+		else
+#endif
+		if( base == asCALL_CDECL_OBJLAST )
+			internal->callConv = ICC_CDECL_OBJLAST;
+		else if( base == asCALL_CDECL_OBJFIRST )
+			internal->callConv = ICC_CDECL_OBJFIRST;
+		else if( base == asCALL_GENERIC )
+			internal->callConv = ICC_GENERIC_METHOD;
+		else
+			return asNOT_SUPPORTED;
+	}
+
+	return 0;
+}
+
+// This function should prepare system functions so that it will be faster to call them
+int PrepareSystemFunction(asCScriptFunction *func, asSSystemFunctionInterface *internal, asCScriptEngine *engine)
+{
+	// References are always returned as primitive data
+	if( func->returnType.IsReference() || func->returnType.IsObjectHandle() )
+	{
+		internal->hostReturnInMemory = false;
+		internal->hostReturnSize = 1;
+		internal->hostReturnFloat = false;
+	}
+	// Registered types have special flags that determine how they are returned
+	else if( func->returnType.IsObject() )
+	{
+		asDWORD objType = func->returnType.GetObjectType()->flags;
+		if( objType & asOBJ_CLASS )
+		{
+			if( objType & COMPLEX_MASK )
+			{
+				internal->hostReturnInMemory = true;
+				internal->hostReturnSize = 1;
+				internal->hostReturnFloat = false;
+			}
+			else
+			{
+				internal->hostReturnFloat = false;
+				if( func->returnType.GetSizeInMemoryDWords() > 2 )
+				{
+					internal->hostReturnInMemory = true;
+					internal->hostReturnSize = 1;
+				}
+				else
+				{
+					internal->hostReturnInMemory = false;
+					internal->hostReturnSize = func->returnType.GetSizeInMemoryDWords();
+				}
+
+				if( internal->callConv == ICC_THISCALL ||
+					internal->callConv == ICC_VIRTUAL_THISCALL )
+				{
+					internal->hostReturnInMemory = true;
+					internal->hostReturnSize = 1;
+				}
+
+				if( internal->callConv == ICC_CDECL ||
+					internal->callConv == ICC_CDECL_OBJLAST ||
+					internal->callConv == ICC_CDECL_OBJFIRST )
+				{
+					internal->hostReturnInMemory = true;
+					internal->hostReturnSize = 1;
+				}
+
+				if( internal->callConv == ICC_STDCALL )
+				{
+					internal->hostReturnInMemory = true;
+					internal->hostReturnSize = 1;
+				}
+			}
+		}
+		else if( objType == asOBJ_PRIMITIVE )
+		{
+			internal->hostReturnInMemory = false;
+			internal->hostReturnSize = func->returnType.GetSizeInMemoryDWords();
+			internal->hostReturnFloat = false;
+		}
+		else if( objType == asOBJ_FLOAT )
+		{
+			internal->hostReturnInMemory = false;
+			internal->hostReturnSize = func->returnType.GetSizeInMemoryDWords();
+			internal->hostReturnFloat = true;
+		}
+	}
+	// Primitive types can easily be determined
+	else if( func->returnType.GetSizeInMemoryDWords() > 2 )
+	{
+		// Shouldn't be possible to get here
+		assert(false);
+
+		internal->hostReturnInMemory = true;
+		internal->hostReturnSize = 1;
+		internal->hostReturnFloat = false;
+	}
+	else if( func->returnType.GetSizeInMemoryDWords() == 2 )
+	{
+		internal->hostReturnInMemory = false;
+		internal->hostReturnSize = 2;
+		internal->hostReturnFloat = func->returnType.IsEqualExceptConst(asCDataType::CreatePrimitive(ttDouble, true));
+	}
+	else if( func->returnType.GetSizeInMemoryDWords() == 1 )
+	{
+		internal->hostReturnInMemory = false;
+		internal->hostReturnSize = 1;
+		internal->hostReturnFloat = func->returnType.IsEqualExceptConst(asCDataType::CreatePrimitive(ttFloat, true));
+	}
+	else
+	{
+		internal->hostReturnInMemory = false;
+		internal->hostReturnSize = 0;
+		internal->hostReturnFloat = false;
+	}
+
+	// Calculate the size needed for the parameters
+	internal->paramSize = func->GetSpaceNeededForArguments();
+
+	// Verify if the function takes any objects by value
+	asUINT n;
+	internal->takesObjByVal = false;
+	for( n = 0; n < func->parameterTypes.GetLength(); n++ )
+	{
+		if( func->parameterTypes[n].IsObject() && !func->parameterTypes[n].IsObjectHandle() && !func->parameterTypes[n].IsReference() )
+		{
+			internal->takesObjByVal = true;
+			break;
+		}
+	}
+
+	// Verify if the function has any registered autohandles
+	internal->hasAutoHandles = false;
+	for( n = 0; n < internal->paramAutoHandles.GetLength(); n++ )
+	{
+		if( internal->paramAutoHandles[n] )
+		{
+			internal->hasAutoHandles = true;
+			break;
+		}
+	}
+
+	return 0;
+}
+
+int CallSystemFunction(int id, asCContext *context, void *objectPointer)
+{
+	id = -id - 1;
+
+	asCScriptEngine *engine = context->engine;
+	asSSystemFunctionInterface *sysFunc = engine->systemFunctionInterfaces[id];
+	int callConv = sysFunc->callConv;
+	if( callConv == ICC_GENERIC_FUNC || callConv == ICC_GENERIC_METHOD )
+		return context->CallGeneric(-id-1, objectPointer);
+
+	context->SetInternalException(TXT_INVALID_CALLING_CONVENTION);
+
+	return 0;
+}
+
+END_AS_NAMESPACE
+
+#endif // AS_PPC
+#endif // AS_MAX_PORTABILITY

Property changes on: sdk/as/source/as_callfunc_ppc.cpp
___________________________________________________________________
Name: svn:executable
   + *

Index: sdk/as/Makefile.am
===================================================================
--- sdk/as/Makefile.am	(revision 2469)
+++ sdk/as/Makefile.am	(working copy)
@@ -22,6 +22,7 @@
 							$(srcdir)/source/as_c.cpp \
 							$(srcdir)/source/as_callfunc.cpp \
 							$(srcdir)/source/as_callfunc_sh4.cpp \
+                            $(srcdir)/source/as_callfunc_ppc.cpp \
 							$(srcdir)/source/as_callfunc_x86.cpp \
 							$(srcdir)/source/as_compiler.cpp \
 							$(srcdir)/source/as_configgroup.cpp \
Index: plugins/debuggergdb/gdb_driver.cpp
===================================================================
--- plugins/debuggergdb/gdb_driver.cpp	(revision 2469)
+++ plugins/debuggergdb/gdb_driver.cpp	(working copy)
@@ -197,7 +197,8 @@
     ResetCursor();
 
     // under windows, 'start' segfaults with wx projects...
-#ifdef __WXMSW__
+//-#ifdef __WXMSW__
+#if defined(__WXMSW__) || defined(__WXMAC__)
     m_BreakOnEntry = false;
     m_ManualBreakOnEntry = false;
     // start the process
Index: CodeBlocks-mac.cbp
===================================================================
--- CodeBlocks-mac.cbp	(revision 0)
+++ CodeBlocks-mac.cbp	(revision 0)
@@ -0,0 +1,4899 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
+<CodeBlocks_project_file>
+	<FileVersion major="1" minor="4" />
+	<Project>
+		<Option title="Code::Blocks - MAC" />
+		<Option pch_mode="0" />
+		<Option default_target="9" />
+		<Option compiler="gcc" />
+		<Build>
+			<Target title="AutoRevision">
+				<Option output="tools/autorevision/auto_revision" />
+				<Option type="1" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectCompilerOptionsRelation="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="1" />
+				<Option projectResourceIncludeDirsRelation="1" />
+				<Option projectLibDirsRelation="1" />
+				<Linker>
+					<Add option="-s" />
+				</Linker>
+			</Target>
+			<Target title="ConsoleRunner">
+				<Option output="tools/ConsoleRunner/console_runner" />
+				<Option working_dir="tools/ConsoleRunner" />
+				<Option type="1" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectCompilerOptionsRelation="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="1" />
+				<Option projectResourceIncludeDirsRelation="1" />
+				<Option projectLibDirsRelation="1" />
+				<Compiler>
+					<Add option="-Os" />
+				</Compiler>
+			</Target>
+			<Target title="tinyXML">
+				<Option output="sdk/tinyxml/libtxml.a" />
+				<Option working_dir="" />
+				<Option type="2" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectResourceIncludeDirsRelation="2" />
+			</Target>
+			<Target title="AngelScript">
+				<Option output="sdk/as/libangelscript.a" />
+				<Option working_dir="" />
+				<Option type="2" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectResourceIncludeDirsRelation="2" />
+				<Compiler>
+					<Add option="-fno-inline" />
+					<Add option="-DAS_MAX_PORTABILITY" />
+				</Compiler>
+			</Target>
+			<Target title="scintilla">
+				<Option output="devel/libwxscintilla.dylib" />
+				<Option working_dir="devel" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Compiler>
+					<Add option="-DSCI_LEXER" />
+					<Add option="-DLINK_LEXERS" />
+					<Add option="-DGTK" />
+					<Add directory="sdk/wxscintilla/include" />
+					<Add directory="sdk/wxscintilla/src/scintilla/include" />
+					<Add directory="sdk/wxscintilla/src/scintilla/src" />
+				</Compiler>
+				<ResourceCompiler>
+					<Add directory="sdk/wxscintilla/include" />
+				</ResourceCompiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-dynamiclib" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="wxFlatNotebook">
+				<Option output="sdk/wxFlatNotebook/libwxflatnotebook.a" />
+				<Option working_dir="" />
+				<Option type="2" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectResourceIncludeDirsRelation="2" />
+			</Target>
+			<Target title="wxPropertyGrid">
+				<Option output="sdk/propgrid/libpropgrid.a" />
+				<Option working_dir="" />
+				<Option type="2" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectResourceIncludeDirsRelation="2" />
+				<Compiler>
+					<Add option="-D__WXMAC__" />
+					<Add directory="sdk/propgrid/include" />
+				</Compiler>
+			</Target>
+			<Target title="sdk">
+				<Option output="devel/libcodeblocks.dylib" />
+				<Option working_dir="devel" />
+				<Option external_deps="sdk/tinyxml/libtxml.a;sdk/propgrid/libpropgrid.a;sdk/wxFlatNotebook/libwxflatnotebook.a;sdk/as/libangelscript.a;" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option parameters="--debug-log --no-check-associations" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="2" />
+				<Compiler>
+					<Add directory="sdk" />
+					<Add directory="sdk/as/source" />
+					<Add directory="sdk/as/include" />
+					<Add directory="sdk/propgrid/include" />
+					<Add directory="sdk/wxFlatNotebook" />
+				</Compiler>
+				<Linker>
+					<Add option="-dynamiclib" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="txml" />
+					<Add library="angelscript" />
+					<Add library="wxscintilla" />
+					<Add library="wxflatnotebook" />
+					<Add library="propgrid" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="sdk/as" />
+					<Add directory="sdk/propgrid" />
+					<Add directory="sdk/wxFlatNotebook" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+				<ExtraCommands>
+					<Add before="tools/autorevision/auto_revision +wx +int +t . sdk/autorevision.h" />
+				</ExtraCommands>
+			</Target>
+			<Target title="wxAUI">
+				<Option output="src/wxAUI/libwxaui.a" />
+				<Option working_dir="" />
+				<Option type="2" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectResourceIncludeDirsRelation="2" />
+				<Compiler>
+					<Add directory="src/wxAUI" />
+				</Compiler>
+			</Target>
+			<Target title="src">
+				<Option output="devel/codeblocks" />
+				<Option working_dir="devel" />
+				<Option external_deps="src/wxAUI/libwxaui.a;" />
+				<Option type="0" />
+				<Option compiler="gcc" />
+				<Option parameters="--debug-log -ns" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="2" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectResourceIncludeDirsRelation="0" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add option="-DENABLE_BINRELOC" />
+					<Add directory="sdk" />
+					<Add directory="src/wxAUI" />
+					<Add directory="sdk/wxFlatNotebook" />
+				</Compiler>
+				<Linker>
+					<Add library="codeblocks" />
+					<Add library="wxaui" />
+					<Add library="wxscintilla" />
+					<Add directory="devel" />
+					<Add directory="src/wxAUI" />
+				</Linker>
+			</Target>
+			<Target title="AStyle">
+				<Option output="devel/share/codeblocks/plugins/libastyle.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Compiler>
+					<Add option="-fno-common" />
+					<Add directory="sdk" />
+					<Add directory="plugins/astyle/astyle" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Compiler depslib">
+				<Option output="plugins/compilergcc/depslib/libdepslib.a" />
+				<Option working_dir="" />
+				<Option type="2" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectResourceIncludeDirsRelation="2" />
+				<Compiler>
+					<Add option="-fno-common" />
+					<Add option="-DDEPSLIB_UNIX" />
+				</Compiler>
+			</Target>
+			<Target title="Compiler">
+				<Option output="devel/share/codeblocks/plugins/libcompiler.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add option="-bundle" />
+					<Add directory="sdk" />
+					<Add directory="plugins/compilergcc/depslib/src" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="depslib" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="plugins/compilergcc/depslib" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Debugger">
+				<Option output="devel/share/codeblocks/plugins/libdebugger.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add directory="sdk" />
+					<Add directory="sdk/as/include" />
+				</Compiler>
+				<Linker>
+					<Add option="-bundle" />
+					<Add option="`wx-config --libs`" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="sdk/as" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Code-completion">
+				<Option output="devel/share/codeblocks/plugins/libcodecompletion.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add directory="sdk" />
+				</Compiler>
+				<Linker>
+					<Add option="-bundle" />
+					<Add option="`wx-config --libs`" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Class wizard">
+				<Option output="devel/share/codeblocks/plugins/libclasswizard.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add directory="sdk" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Default MIME handler">
+				<Option output="devel/share/codeblocks/plugins/libdefaultmimehandler.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add directory="sdk" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Plugin wizard">
+				<Option output="devel/share/codeblocks/plugins/libpluginwizard.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add directory="sdk" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Project wizard">
+				<Option output="devel/share/CodeBlocks/plugins/libprojectwizard.so" />
+				<Option working_dir="devel/share/CodeBlocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Option projectLinkerOptionsRelation="1" />
+				<Option projectIncludeDirsRelation="2" />
+				<Option projectLibDirsRelation="2" />
+				<Compiler>
+					<Add directory="sdk" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="To-do">
+				<Option output="devel/share/codeblocks/plugins/libtodo.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Compiler>
+					<Add directory="sdk" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Target title="Autosave">
+				<Option output="devel/share/codeblocks/plugins/libautosave.so" />
+				<Option working_dir="devel/share/codeblocks/plugins" />
+				<Option type="3" />
+				<Option compiler="gcc" />
+				<Option includeInTargetAll="1" />
+				<Compiler>
+					<Add directory="sdk" />
+				</Compiler>
+				<Linker>
+					<Add option="`wx-config --libs`" />
+					<Add option="-bundle" />
+					<Add option="`test -r /usr/lib/libcc_dymnamic.a &amp;&amp; echo -lcc_dynamic`" />
+					<Add library="codeblocks" />
+					<Add library="wxscintilla" />
+					<Add library="/usr/lib/libSystem.B.dylib" />
+					<Add library="/usr/lib/libSystem.dylib" />
+					<Add library="/usr/lib/gcc/darwin/3.3/libstdc++.a" />
+					<Add directory="devel" />
+					<Add directory="/usr/lib" />
+					<Add directory="/usr/local/lib" />
+					<Add directory="/usr/lib/gcc/darwin/3.3" />
+					<Add directory="/usr/lib/gcc/darwin/default" />
+				</Linker>
+			</Target>
+			<Environment>
+				<Variable name="WX_CFG" value="NonUnicode" />
+			</Environment>
+		</Build>
+		<Compiler>
+			<Add option="-Wall" />
+			<Add option="-g" />
+			<Add option="`wx-config --cflags`" />
+			<Add option="-fmessage-length=0" />
+			<Add option="-fexceptions" />
+			<Add option="-Winvalid-pch" />
+			<Add option="-fPIC" />
+			<Add option="-DcbDEBUG" />
+			<Add option="-DCB_PRECOMP" />
+			<Add option="-D__WXMAC__" />
+			<Add directory="sdk/wxscintilla/include" />
+		</Compiler>
+		<Linker>
+			<Add option="`wx-config --libs`" />
+			<Add directory="sdk/tinyxml" />
+		</Linker>
+		<Unit filename="devel/share/CodeBlocks/images/codecompletion/README.txt">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="devel/share/CodeBlocks/plugins/README.txt">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="devel/share/CodeBlocks/templates/README.txt">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/ASBeautifier.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/ASFormatter.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/INSTALL.TXT">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/Makefile">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/astyle.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/astyle.html">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/astyle_main.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/astyle_release_notes.html">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/compiler_defines.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyle/license.html">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyleconfigdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyleconfigdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyleplugin.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/astyleplugin.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/dlgformattersettings.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/dlgformattersettings.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/formattersettings.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/formattersettings.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/astyle/resources/configuration.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AStyle" />
+		</Unit>
+		<Unit filename="plugins/autosave/autosave.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Autosave" />
+		</Unit>
+		<Unit filename="plugins/autosave/autosave.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Autosave" />
+		</Unit>
+		<Unit filename="plugins/classwizard/classwizard.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Class wizard" />
+		</Unit>
+		<Unit filename="plugins/classwizard/classwizard.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Class wizard" />
+		</Unit>
+		<Unit filename="plugins/classwizard/classwizarddlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Class wizard" />
+		</Unit>
+		<Unit filename="plugins/classwizard/classwizarddlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Class wizard" />
+		</Unit>
+		<Unit filename="plugins/classwizard/resources/new_class.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Class wizard" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/cclist.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/cclist.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/cclistctrl.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/cclistctrl.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/ccoptionsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/ccoptionsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/ccrenderer.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/ccrenderer.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/classbrowser.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/classbrowser.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/classbrowserbuilderthread.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/classbrowserbuilderthread.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/codecompletion.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/codecompletion.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/insertclassmethoddlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/insertclassmethoddlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/nativeparser.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/nativeparser.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/parser.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/parser.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/parserthread.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/parserthread.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/searchtree.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/searchtree.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/token.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/token.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/tokenizer.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/parser/tokenizer.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/classbrowser.xrc">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/class.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/class_folder.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/ctor_private.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/ctor_protected.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/ctor_public.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/dtor_private.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/dtor_protected.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/dtor_public.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/enum.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/enumerator.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/enums_folder.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/method_private.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/method_protected.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/method_public.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/namespace.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/others_folder.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/preproc.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/preproc_folder.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/symbols_folder.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/var_private.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/var_protected.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/images/var_public.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/insert_class_method.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/resources/settings.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/selectincludefile.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/codecompletion/selectincludefile.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Code-completion" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/advancedcompileroptionsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/advancedcompileroptionsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerBCC.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerBCC.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerDMC.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerDMC.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerDMD.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerDMD.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerGDC.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerGDC.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerGNUARM.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerGNUARM.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerICC.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerICC.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerMINGW.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerMINGW.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerMINGWgenerator.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerMINGWgenerator.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerMSVC.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerMSVC.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerOW.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerOW.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerSDCC.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilerSDCC.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compiler_defs.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compiler_defs.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilererrors.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilererrors.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilergcc.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilergcc.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilermessages.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compilermessages.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compileroptionsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/compileroptionsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/alloc.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/alloc.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/cache.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/cache.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/depslib.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/depslib.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/filent.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/filesys.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/fileunix.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/hash.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/hash.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/headers.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/headers.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/jam.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/lists.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/lists.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/main.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/newstr.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/newstr.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/pathsplit.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/pathsplit.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/pathsys.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/pathunix.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/regexp.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/regexp.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/search.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/search.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/timestamp.c">
+			<Option compilerVar="CC" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/depslib/src/timestamp.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler depslib" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/directcommands.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/directcommands.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/makefilegenerator.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/makefilegenerator.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/advanced_compiler_options.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/compiler_menu.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/compiler_options.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/compiler_toolbar.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/compiler_toolbar_16x16.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/16x16/compile.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/16x16/compilerun.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/16x16/rebuild.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/16x16/run.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/compile.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/compilerun.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/rebuild.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/compilergcc/resources/images/run.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Compiler" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/backtracedlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/backtracedlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/breakpointsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/breakpointsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/cdb_commands.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/cdb_driver.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/cdb_driver.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/cpuregistersdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/cpuregistersdlg.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debugger_defs.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debugger_defs.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggerdriver.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggerdriver.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggergdb.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggergdb.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggeroptionsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggeroptionsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggerstate.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggerstate.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggertree.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/debuggertree.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/disassemblydlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/disassemblydlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/editbreakpointdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/editbreakpointdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/editwatchdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/editwatchdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/editwatchesdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/editwatchesdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/examinememorydlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/examinememorydlg.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/gdb_commands.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/gdb_driver.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/gdb_driver.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/backtrace.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/breakpoints.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/cpuregisters.xrc">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/debugger_menu.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/debugger_options_dlg.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/debugger_toolbar.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/debugger_toolbar_16x16.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/disassembly.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/edit_watches_dlg.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/16x16/dbgnext.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/16x16/dbgrun.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/16x16/dbgrunto.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/16x16/dbgstep.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/16x16/stop.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/dbgnext.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/dbgrun.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/dbgrunto.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/dbgstep.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/images/stop.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/memdump.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/resources/threads.xrc">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/threadsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/debuggergdb/threadsdlg.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Debugger" />
+		</Unit>
+		<Unit filename="plugins/defaultmimehandler/defaultmimehandler.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Default MIME handler" />
+		</Unit>
+		<Unit filename="plugins/defaultmimehandler/defaultmimehandler.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Default MIME handler" />
+		</Unit>
+		<Unit filename="plugins/defaultmimehandler/editmimetypesdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Default MIME handler" />
+		</Unit>
+		<Unit filename="plugins/defaultmimehandler/editmimetypesdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Default MIME handler" />
+		</Unit>
+		<Unit filename="plugins/defaultmimehandler/mimetypesarray.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Default MIME handler" />
+		</Unit>
+		<Unit filename="plugins/defaultmimehandler/resources/edit_files_handling.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Default MIME handler" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/enterinfodlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/enterinfodlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/pluginwizard.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/pluginwizard.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/pluginwizarddlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/pluginwizarddlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/resources/new_plugin.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/pluginwizard/resources/plugin_info.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Plugin wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/compilerpanel.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/compilerpanel.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/intropanel.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/intropanel.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/languagepanel.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/languagepanel.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/projectpathpanel.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/projectpathpanel.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/common_functions.script">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/config.script">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/console/wizard.script">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/d/wizard.script">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/irrlicht/wizard.script">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/irrlicht/wizard.xrc">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/ogre/wizard.script">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/ogre/wizard.xrc">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/wxwidgets/wizard.script">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/resources/wxwidgets/wizard.xrc">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wiz.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wiz.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wizpage.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wizpage.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wxsmith/CompilerPanel.wxs">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wxsmith/IntroPanel.wxs">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wxsmith/LanguagePanel.wxs">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/projectwizard/wxsmith/ProjectPathPanel.wxs">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="Project wizard" />
+		</Unit>
+		<Unit filename="plugins/todo/addtododlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/addtododlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/asktypedlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/asktypedlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/resources/add_todo.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/resources/ask_type.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/resources/settings.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/todolist.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/todolist.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/todolistview.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/todolistview.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/todosettingsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/todo/todosettingsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="To-do" />
+		</Unit>
+		<Unit filename="plugins/xpmanifest/windowsxplooknfeel.cpp">
+			<Option compilerVar="CPP" />
+		</Unit>
+		<Unit filename="plugins/xpmanifest/windowsxplooknfeel.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="sdk.doxy">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="sdk/annoyingdialog.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/annoyingdialog.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/const_bindings.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/const_bindings.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/sc_io.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/sc_io.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/sc_wxarraystring.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/sc_wxarraystring.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/sc_wxstring.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/sc_wxstring.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/scriptbindings.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/bindings/scriptbindings.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/as/include/angelscript.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_anyobject.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_anyobject.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_array.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_arrayobject.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_arrayobject.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_builder.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_builder.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_bytecode.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_bytecode.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_bytecodedef.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_c.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_callfunc.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_callfunc.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_callfunc_ppc.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_callfunc_sh4.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_callfunc_x86.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_compiler.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_compiler.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_config.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_configgroup.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_configgroup.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_context.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_context.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_datatype.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_datatype.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_debug.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_gcobject.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_gcobject.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_generic.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_generic.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_map.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_module.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_module.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_objecttype.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_objecttype.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_outputbuffer.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_outputbuffer.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_parser.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_parser.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_property.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_restore.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_restore.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptcode.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptcode.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptengine.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptengine.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptfunction.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptfunction.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptnode.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptnode.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptstruct.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_scriptstruct.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_string.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_string.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_string_util.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_string_util.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_structs.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_texts.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_thread.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_thread.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_tokendef.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_tokenizer.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_tokenizer.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_typeinfo.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_typeinfo.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_types.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_variablescope.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/as/source/as_variablescope.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="AngelScript" />
+		</Unit>
+		<Unit filename="sdk/autodetectcompilers.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/autodetectcompilers.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/base64.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/base64.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/blockallocated.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/blockallocated.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbeditor.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbeditor.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbeditorprintout.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbeditorprintout.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbexception.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbexception.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbplugin.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbplugin.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbproject.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbproject.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbthreadpool.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbthreadpool.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbworkspace.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/cbworkspace.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compileoptionsbase.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compileoptionsbase.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compiler.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compiler.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compilercommandgenerator.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compilercommandgenerator.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compilerfactory.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compilerfactory.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compileroptions.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compileroptions.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compiletargetbase.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/compiletargetbase.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/configmanager-revision.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/configmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/configmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/configurationpanel.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/configurationpanel.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/configuretoolsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/configuretoolsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/confirmreplacedlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/confirmreplacedlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/crc32.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/crc32.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/devcpploader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/devcpploader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editarrayfiledlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editarrayfiledlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editarrayorderdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editarrayorderdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editarraystringdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editarraystringdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editkeywordsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editkeywordsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editor_hooks.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editor_hooks.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorbase.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorbase.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorcolorset.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorcolorset.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorconfigurationdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorconfigurationdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorlexerloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editorlexerloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editormanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editormanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editpairdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editpairdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editpathdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/editpathdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/edittooldlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/edittooldlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/encodingdetector.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/encodingdetector.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/externaldepsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/externaldepsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/filefilters.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/filefilters.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/filegroupsandmasks.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/filegroupsandmasks.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/finddlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/finddlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/findreplacebase.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/globals.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/globals.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/ibaseloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/ibaseworkspaceloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/importers_globals.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/importers_globals.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/incrementalselectlistdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/incrementalselectlistdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/licenses.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/macrosmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/macrosmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/managedthread.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/managedthread.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/manager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/manager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/managerproxy.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/menuitemsmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/menuitemsmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/messagelog.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/messagelog.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/messagemanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/messagemanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvc7loader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvc7loader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvc7workspaceloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvc7workspaceloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvcloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvcloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvcworkspacebase.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvcworkspacebase.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvcworkspaceloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/msvcworkspaceloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/multiselectdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/multiselectdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/newfromtemplatedlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/newfromtemplatedlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/openfilestree.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/personalitymanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/personalitymanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/pipedprocess.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/pipedprocess.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/pluginmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/pluginmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/pluginsconfigurationdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/pluginsconfigurationdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/printing_types.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/printing_types.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectbuildtarget.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectbuildtarget.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectdepsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectdepsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectfile.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectfile.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectfileoptionsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectfileoptionsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectlayoutloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectlayoutloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectloader_hooks.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectloader_hooks.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectoptionsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectoptionsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectsfilemasksdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projectsfilemasksdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projecttemplateloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/projecttemplateloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/advprops.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/custctrl.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/manager.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/odcombo.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/pg_dox_mainpage.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/propdev.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/propgrid.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/include/wx/propgrid/propgrid.i">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/src/propgrid/advprops.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/src/propgrid/custctrl.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/src/propgrid/manager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/src/propgrid/odcombo.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/propgrid/src/propgrid/propgrid.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="wxPropertyGrid" />
+		</Unit>
+		<Unit filename="sdk/replacedlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/replacedlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/auto_detect_compilers.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/configure_tools.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/confirm_replace.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/edit_array_order.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/edit_array_string.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/edit_path.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/edit_tool.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/editor_configuration.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/external_deps.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/find_dialog.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/generic_multi_select.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/global_user_vars.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/incremental_select_list.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_cpp.sample">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_cpp.xml">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_gm.sample">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_gm.xml">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_hitasm.sample">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_hitasm.xml">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_lua.sample">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_lua.xml">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_rc.sample">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_rc.xml">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_xml.sample">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/lexers/lexer_xml.xml">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/new_from_template.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/plugins_configuration.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/project_manager_file_types.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/project_options.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/projectfile_options.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/replace_dialog.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/resources/select_target.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/scriptingcall.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/scriptingmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/scriptingmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/sdk.h">
+			<Option compilerVar="CPP" />
+			<Option link="0" />
+			<Option weight="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/sdk_common.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/sdk_events.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/sdk_events.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/sdk_precomp.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option weight="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/searchresultslog.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/searchresultslog.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/selecttargetdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/selecttargetdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/settings.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/simplelistlog.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/simplelistlog.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/simpletextlog.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/simpletextlog.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/templatemanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/templatemanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/tinyxml/tinystr.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="tinyXML" />
+		</Unit>
+		<Unit filename="sdk/tinyxml/tinystr.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="tinyXML" />
+		</Unit>
+		<Unit filename="sdk/tinyxml/tinyxml.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="tinyXML" />
+		</Unit>
+		<Unit filename="sdk/tinyxml/tinyxml.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="tinyXML" />
+		</Unit>
+		<Unit filename="sdk/tinyxml/tinyxmlerror.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="tinyXML" />
+		</Unit>
+		<Unit filename="sdk/tinyxml/tinyxmlparser.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="tinyXML" />
+		</Unit>
+		<Unit filename="sdk/toolsmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/toolsmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/uservarmanager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/uservarmanager.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/workspaceloader.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/workspaceloader.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/wxFlatNotebook/TextDropTarget.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxFlatNotebook" />
+		</Unit>
+		<Unit filename="sdk/wxFlatNotebook/wxFlatNotebook.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="wxFlatNotebook" />
+		</Unit>
+		<Unit filename="sdk/wxFlatNotebook/wxFlatNotebook.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxFlatNotebook" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/include/wx/wxscintilla.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/PlatWX.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/PlatWX.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/ScintillaWX.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/ScintillaWX.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/Accessor.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/KeyWords.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/Platform.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/PropSet.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/SString.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/SciLexer.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/Scintilla.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/ScintillaWidget.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/include/WindowAccessor.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/AutoComplete.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/AutoComplete.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/CallTip.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/CallTip.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/CellBuffer.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/CellBuffer.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ContractionState.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ContractionState.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Document.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Document.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/DocumentAccessor.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/DocumentAccessor.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Editor.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Editor.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ExternalLexer.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ExternalLexer.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Indicator.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Indicator.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/KeyMap.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/KeyMap.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/KeyWords.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexAPDL.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexAU3.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexAVE.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexAda.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexAsm.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexAsn1.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexBaan.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexBash.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexBasic.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexBullant.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexCLW.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexCPP.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexCSS.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexCaml.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexConf.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexCrontab.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexCsound.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexEScript.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexEiffel.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexErlang.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexFlagship.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexForth.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexFortran.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexGui4Cli.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexHTML.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexHaskell.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexKix.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexLisp.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexLout.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexLua.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexMMIXAL.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexMPT.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexMSSQL.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexMatlab.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexMetapost.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexNsis.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexOthers.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexPB.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexPOV.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexPS.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexPascal.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexPerl.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexPython.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexRebol.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexRuby.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexSQL.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexScriptol.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexSmalltalk.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexSpecman.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexTADS3.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexTeX.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexVB.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexVHDL.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexVerilog.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LexYAML.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LineMarker.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/LineMarker.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/PropSet.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/RESearch.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/RESearch.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/SVector.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ScintillaBase.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ScintillaBase.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Style.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/Style.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/StyleContext.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/StyleContext.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/UniConversion.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/UniConversion.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ViewStyle.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/ViewStyle.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/WindowAccessor.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/XPM.cxx">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/scintilla/src/XPM.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/wxscintilla/src/wxscintilla.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="scintilla" />
+		</Unit>
+		<Unit filename="sdk/xtra_classes.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/xtra_classes.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/xtra_res.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="sdk/xtra_res.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="sdk" />
+		</Unit>
+		<Unit filename="src/app.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/app.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/appglobals.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/appglobals.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/compilersettingsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/compilersettingsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/crashhandler.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/crashhandler.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/dlgabout.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/dlgabout.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/dlgaboutplugin.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/dlgaboutplugin.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/environmentsettingsdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/environmentsettingsdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/main.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/main.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/prefix.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/prefix.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/printdlg.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/printdlg.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/dlg_about.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/dlg_about_plugin.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/env_settings.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/icons/app.ico">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/icons/app.xpm">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/icons/c.ico">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/icons/cpp.ico">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/icons/csd.ico">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/icons/filetempl.ico">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/icons/h.ico">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/editcopy.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/editcut.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/editpaste.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/filefind.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/filenew.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/fileopen.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/filesave.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/folder.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/folder_new.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/folder_open.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/newproject.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/redo.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/searchreplace.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/16x16/undo.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/ascii.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/codeblocks.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/compile.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/compilerun.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/contents_16x16.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/dbgnext.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/dbgrun.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/dbgrunto.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/dbgstep.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/edit_16x16.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/editcopy.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/editcut.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/editpaste.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/filefind.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/filenew.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/fileopen.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/filesave.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/filesaveas.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/flag_16x16.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/folder.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/folder_new.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/folder_open.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/gohome.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/misc_16x16.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/newproject.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/rebuild.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/redo.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/run.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/searchreplace.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/source.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/splash.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/stop.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/images/undo.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/main_menu.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/main_toolbar.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/main_toolbar_16x16.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/manage_assocs.xrc">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="src/resources/print_dialog.xrc">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/start_here/cb.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/start_here/new.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/start_here/open.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/start_here/reopen.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/start_here/start_here.html">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/start_here/title.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/resources/start_here/www.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/splashscreen.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/splashscreen.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/startherepage.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/startherepage.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="src/wxAUI/manager.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="wxAUI" />
+		</Unit>
+		<Unit filename="src/wxAUI/manager.h">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxAUI" />
+		</Unit>
+		<Unit filename="templates/common/console-main-c.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/console-main-cpp.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/console.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/console.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/console.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/dll.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/ogre-main.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/ogre_gcc.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/ogre_vctk.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/ogrelogo.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/qt-main.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/qt.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/qt.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/qtlogo32.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/sdl-cb.bmp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/sdl-main.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/sdl.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/sdlapp.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/staticlib-sample.c">
+			<Option compilerVar="CC" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/staticlib.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/staticlib.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wx-app-ash.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wx-app-ash.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wx-main-ash.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wx-main-ash.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wx-main-s.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wx-main-sh.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wx-main-sh.h">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/common/wxwidgets.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/console-main-c.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="wxAUI" />
+		</Unit>
+		<Unit filename="templates/win32/dll-main.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/dll.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/dll.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/gui.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/ogre.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/opengl-main.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/opengl.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/opengl.png">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/opengl.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/sdlapp.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/win32-main.cpp">
+			<Option compilerVar="CPP" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/win32.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/win32gui.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/wxwidgets.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/wxwidgets.template">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="templates/win32/wxwidgets_static.cbp">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+		</Unit>
+		<Unit filename="tips.txt">
+			<Option compilerVar="" />
+			<Option compile="0" />
+			<Option link="0" />
+			<Option target="src" />
+		</Unit>
+		<Unit filename="tools/ConsoleRunner/main.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="ConsoleRunner" />
+		</Unit>
+		<Unit filename="tools/autorevision/autorevision.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AutoRevision" />
+		</Unit>
+	</Project>
+</CodeBlocks_project_file>
\ No newline at end of file

Property changes on: CodeBlocks-mac.cbp
___________________________________________________________________
Name: svn:executable
   + *

Index: CodeBlocks.cbp
===================================================================
--- CodeBlocks.cbp	(revision 2469)
+++ CodeBlocks.cbp	(working copy)
@@ -1844,6 +1844,10 @@
 			<Option link="0" />
 			<Option target="AngelScript" />
 		</Unit>
+		<Unit filename="sdk\as\source\as_callfunc_ppc.cpp">
+			<Option compilerVar="CPP" />
+			<Option target="AngelScript" />
+		</Unit>
 		<Unit filename="sdk\as\source\as_callfunc_sh4.cpp">
 			<Option compilerVar="CPP" />
 			<Option target="AngelScript" />
